View Issue Details

IDProjectCategoryView StatusLast Update
0000845luatexluatex bugpublic2013-12-21 00:19
ReporterjengelsdAssigned Toluigi scarso 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx84_64OSLinux MintOS Version15
Product Version 
Target VersionFixed in Version0.78.0 
Summary0000845: Parsing CFF dict (error=-1) occurs
DescriptionIn the file I am copying below I get the Parsing CFF DICT (error=-1) error on x86_64. I have tried this with the Windows binary but the bug is not present there.

I am running LuaTeX 0.76 through TeXLive 2013 with the current updates.
Steps To ReproduceCompile the following on x86_64 to receive the error.

\documentclass{article}

\usepackage{fontspec}

\newcommand{\Item}{%
    \directlua{math.log(0,10)}%
    \begin{tabular}{l}
        1\\1\\1\\1\\1
    \end{tabular}%
    \vspace{\baselineskip}%
    \par%
}

\begin{document}

\Item
\Item
\Item
\Item
\Item
\Item
\Item
\Item
\Item

\end{document}
TagsNo tags attached.

Activities

jengelsd

2013-07-20 20:47

reporter   ~0001111

The issue may be related to math.log(0,10). Also "I can reproduce the problem with miktex, but not with TL13" from http://tex.stackexchange.com/questions/124808/luatex-error-parsing-cff-dict

Hans Hagen

2013-12-20 19:12

manager   ~0001198

this one might relate to 828 (we see this CFF issue showing op more that we like)

Hans Hagen

2013-12-20 22:01

manager   ~0001200

tracing at the luatex cff side show that the "inf" result of the lua math call sets errno and that triggers a cff exception ..

Hans Hagen

2013-12-21 00:19

manager   ~0001201

partially solved (the cff aspect), the lua aspect is under investigation

Issue History

Date Modified Username Field Change
2013-07-20 20:12 jengelsd New Issue
2013-07-20 20:47 jengelsd Note Added: 0001111
2013-12-20 19:12 Hans Hagen Note Added: 0001198
2013-12-20 19:12 Hans Hagen Assigned To => Hans Hagen
2013-12-20 19:12 Hans Hagen Status new => confirmed
2013-12-20 19:13 Hans Hagen Assigned To Hans Hagen => luigi scarso
2013-12-20 19:13 Hans Hagen Status confirmed => assigned
2013-12-20 22:01 Hans Hagen Note Added: 0001200
2013-12-21 00:19 Hans Hagen Note Added: 0001201
2013-12-21 00:19 Hans Hagen Status assigned => closed
2013-12-21 00:19 Hans Hagen Resolution open => fixed
2013-12-21 00:19 Hans Hagen Fixed in Version => 0.78.0